:root {
    --bg: #fffbea;
    --primary: #ff483b;
    --warn-primary: #422321;
}

@font-face {
    font-family: 'VG5000';
    src: url(./fonts/VG5000.otf);
}

@font-face {
    font-family: 'Terminal-Grotesque';
    src: url(./fonts/terminal-grotesque.ttf);
}

html, body {
    background-color: var(--bg);
    color: var(--primary);

    margin: 0;
    padding: 0;

    font-family: 'Terminal-Grotesque';
}

#title {
    margin: 64px;
    max-width: 1080px;
}

section {
    margin: 64px auto;
    max-width: 1720px;
}

h1 {
    font-size: 2.5em;
}

h1 span {
    font-family: 'VG5000';
    padding: 8px;
    margin-right: 16px;
    border-radius: 8px;
    color: var(--bg);
    background-color: var(--primary);
}

section>div {
    display: flex;
    gap: 32px;
}

section div>* {
    width: 100%;
}

.section-content {
    font-size: 1.5em;
}

.warn {
    color: var(--warn-primary);
    border-top: solid 1px var(--warn-primary);
}

/* Images */

.img-carousel {
    position: relative;
    aspect-ratio: 1720 / 1290;
}

.img-carousel img {
    display: none;

    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.img-carousel .active {
    display: block;
}

.next, .prev {
    cursor: pointer;
    position: absolute;
    width: 64px;
    height: 64px;
    top: 50%;
    transform: translateY(-50%);
    background-color: var(--primary);
    border-radius: 50%;
}

.next::after, .prev::after {
    color: var(--bg);
    font-size: 3em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.next {
    right: 16px;
}

.next::after {
    content: '>';
}

.prev {
    left: 16px;
}

.prev::after {
    content: '<';
}

/* Image preview */

section img {
    cursor: zoom-in;
}

#img-preview {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    background-color: rgba(0, 0, 0, 0.8);

    pointer-events: none;
    opacity: 0;

    transition: opacity 0.2s ease-in-out;
}

#img-preview.active {
    pointer-events: all;
    opacity: 1;
}

#img-preview img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 95%;
    max-height: 95%;
}

#img-preview .close {
    position: absolute;
    top: 16px;
    right: 16px;
    font-size: 1.5em;
    color: var(--bg);
    cursor: pointer;

    height: 32px;
    border-radius: 4px;

    background-color: var(--primary);

    display: flex;
    justify-content: center;
    align-items: center;

    padding: 0 8px;
}